1、configure: error: No curses/termcap library found

yum -y install ncurses-devel

2、configure: error: xml2-config not found. Please check your libxml2 installation

yum -y install libxml2 libxml2-devel

3、configure: error: Cannot find OpenSSL’s

yum -y install openssl-devel

4、configure: error: libjpeg.(a|so) not found

yum -y install gd
yum -y install gd-devel

5、configure: error: cannot find output from lex; giving up

yum -y install flex

6、configure: error: mod_deflate has been requested but can not be built due to prerequisite failures

yum -y install zlib-devel openssl-devel

7、configure: error: libxpm.(a|so) not found

yum -y install libxpm-dev

8、configure: error: freetype.h not found

yum install freetype-devel

9、configure: error: …No recognized SSL/TLS toolkit detected

yum -y install libssl-d

10、Configure: error: Please reinstall the BZip2 distribution

yum install bzip2 bzip2-devel

11、Configure: error: Please reinstall the libcurl distribution – easy.h should be in /include/curl/

yum install curl curl-devel

12、Configure: error: Unable to locate gmp.h

yum install gmp-devel

13、Configure: error: Cannot find MySQL header files under /usr. Note that the MySQL client library is not bundled anymore!

yum install mysql-devel

14、Configure: error: Please reinstall the ncurses distribution
Solutions :

yum install ncurses ncurses-devel

15、Checking for unixODBC support… configure: error: ODBC header file ‘/usr/include/sqlext.h’ not found!
Solutions :

yum install unixODBC-devel

16、Configure: error: Cannot find pspell
Solutions :

yum install pspell-devel

17、configure: error: mcrypt.h not found. Please reinstall libmcrypt.
Solutions :

yum install libmcrypt libmcrypt-devel

18、Configure: error: snmp.h not found. Check your SNMP installation.
Solutions :

yum install net-snmp net-snmp-devel

19、开启LDAP服务还需要

yum -y install openldap-devel openldap-servers openldap-clients

20、configure: error: cannot find output from lex; giving up

yum -y install flex

21、configure: error: mod_deflate has been requested but can not be built due to prerequisite failures

yum -y install zlib-devel openssl-devel

发表评论

电子邮件地址不会被公开。 必填项已用*标注